std::atomic_flag::test(3)

NAME
std::atomic_flag::test - std::atomic_flag::test

Synopsis
   bool test( std::memory_order order =
                  std::memory_order_seq_cst ) const volatile (1) (since C++20)
   noexcept;
   bool test( std::memory_order order = (2) (since C++20)
                  std::memory_order_seq_cst ) const noexcept;
   Atomically reads the value of the *this and returns the value.
   If order is one of std::memory_order_release and std::memory_order_acq_rel, the
   behavior is undefined.

Parameters
   order - the memory synchronization ordering

Return value
   The value atomically read.

Example
    This section is incomplete
    Reason: no example

See also
   atomic_flag_test
   atomic_flag_test_explicit atomically returns the value of the flag
   (C++20) (function)
   (C++20)

Category:
     * Todo no example